Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.local.searchers
Class RDBMPersonSearcher

    java.lang.Object
      org.jasig.portal.groups.local.searchers.RDBMPersonSearcher

All Implemented Interfaces:
  IGroupConstants, ITypedEntitySearcher

    public class RDBMPersonSearcher

extends java.lang.Object
implements ITypedEntitySearcher

Searches the portal DB for people. Used by EntitySearcherImpl

Version:
  $Revision: 1.14 $
Author:
  Alex Vigdor

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private static java.lang.String` | `person_is_search`
`private static java.lang.String` | `person_partial_search`
`private java.lang.Class` | `personDef`
`private static java.lang.String` | `user_is_search`
`private static java.lang.String` | `user_partial_search`

Fields inherited from interface org.jasig.portal.groups.IGroupConstants
`CHANNEL_CATEGORIES, CONTAINS, ENDS_WITH, EVERYONE, IS, NODE_SEPARATOR, PORTAL_ADMINISTRATORS, STARTS_WITH`

Constructor Summary
`RDBMPersonSearcher()`

Method Summary
`java.lang.Class` | `getType()`
`EntityIdentifier[]` | `searchForEntities(java.lang.String query, int method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### user_is_search

    private static final java.lang.String user_is_search

See Also:
  Constant Field Values

### user_partial_search

    private static final java.lang.String user_partial_search

See Also:
  Constant Field Values

### person_partial_search

    private static final java.lang.String person_partial_search

See Also:
  Constant Field Values

### person_is_search

    private static final java.lang.String person_is_search

See Also:
  Constant Field Values

### personDef

    private java.lang.Class personDef

Constructor Detail

### RDBMPersonSearcher

    public RDBMPersonSearcher()

Method Detail

### searchForEntities

    public EntityIdentifier[] searchForEntities(java.lang.String query,
                                                int method)
                                         throws GroupsException

  Specified by:
    `searchForEntities` in interface `ITypedEntitySearcher`
  Throws:
    `GroupsException`

### getType

    public java.lang.Class getType()

  Specified by:
    `getType` in interface `ITypedEntitySearcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD